# frozen_string_literal: true

module  Drillbit
module  Authorizers
class   Parameters
  attr_accessor :action,
                :token,
                :user,
                :params

  # rubocop:disable Metrics/ParameterLists
  def initialize(action:, token:, user:, issuer:, params:, **other)
    self.action = action
    self.token  = token
    self.user   = user
    self.params = params

    other.each do |name, value|
      public_send("#{name}=", value)
    end
  end
  # rubocop:enable Metrics/ParameterLists

  def call
    params
  end
end
end
end
