# frozen_string_literal: true

module  Drillbit
module  Authorizers
class   Query
  attr_accessor :action,
                :token,
                :user,
                :params,
                :resource

  # rubocop:disable Metrics/ParameterLists
  def initialize(action:, token:, user:, issuer:, params:, resource:, **other)
    self.action   = action
    self.token    = token
    self.user     = user
    self.params   = params
    self.resource = resource

    other.each do |name, value|
      public_send("#{name}=", value)
    end
  end
  # rubocop:enable Metrics/ParameterLists

  def able_to_index?
    false
  end

  def able_to_show?
    false
  end

  def able_to_create?
    false
  end

  def able_to_update?
    false
  end

  def able_to_destroy?
    false
  end
end
end
end
