# frozen_string_literal: true

require 'erratum'

module  Drillbit
module  Errors
class   InvalidSubdomain < RuntimeError
  include Erratum::Error

  attr_accessor :http_host

  def http_status
    404
  end

  def title
    'Invalid Subdomain'
  end

  def detail
    'The subdomain you attempted to access is not valid.  Please try again.'
  end

  def source
    { http_host: http_host }
  end
end
end
end
