# frozen_string_literal: true

require 'drillbit/requests/base'

module  Drillbit
module  Matchers
module  Generic
  attr_accessor :request
  attr_writer   :application,
                :accept_header

  def initialize(**args)
    args.each do |variable, value|
      __send__("#{variable}=", value)
    end
  end

  def matches?(request)
    self.request = Requests::Base.resolve(request)
  end

  def application
    request.application_name
  end

  def accept_header
    request.accept_header
  end
end
end
end
