# frozen_string_literal: true

module  Drillbit
module  Matchers
class   Subdomain
  attr_accessor :allowed_api_subdomains,
                :allowed_subdomains,
                :request

  def initialize(allowed_subdomains:     Drillbit.configuration.allowed_subdomains,
                 allowed_api_subdomains: Drillbit.configuration.allowed_api_subdomains)

    self.allowed_subdomains     = Array(allowed_subdomains)
    self.allowed_api_subdomains = Array(allowed_api_subdomains)
  end

  def matches?(request)
    self.request = Requests::Base.resolve(request)

    allowed_subdomains.include? request.subdomain
  end

  def matches_api_subdomain?(request)
    self.request = Requests::Base.resolve(request)

    allowed_api_subdomains.include? request.subdomain
  end
end
end
end
