# frozen_string_literal: true

require 'drillbit/configuration'
require 'drillbit/matchers/generic'

module  Drillbit
module  Matchers
class   Version
  include Generic

  attr_accessor :version_constraint
  attr_writer   :default_version

  def matches?(request)
    super

    requested_version == version_constraint
  end

  private

  def requested_version
    accept_header.version || default_version
  end

  def default_version
    @default_version || Drillbit.configuration.default_api_version
  end
end
end
end
