# frozen_string_literal: true

require 'drillbit/requests/base'
require 'drillbit/responses/invalid_token'

module  Drillbit
module  Middleware
class   TokenProcessor
  def initialize(app)
    @app = app
  end

  def call(env)
    request = Requests::Base.resolve(env)
    token   = request.authorization_token

    return Responses::InvalidToken.call(env, application_name: request.application_name) \
           unless token.valid?

    env['X_JSON_WEB_TOKEN'] = token.to_h

    @app.call(env)
  end
end
end
end
