# frozen_string_literal: true

require 'drillbit/authorizable_resource'
require 'erratum/rescuable_resource'
require 'erratum/verifiable_resource'

module  Drillbit
module  Resource
  def self.included(base)
    base.include Erratum::RescuableResource
    base.include Erratum::VerifiableResource
    base.include Drillbit::AuthorizableResource
  end
end
end
