# frozen_string_literal: true

require 'drillbit/errors/invalid_api_request'

module  Drillbit
module  Responses
class   InvalidApiRequest
  # rubocop:disable Style/InlineComment
  def self.call(env)
    error = Drillbit::Errors::InvalidApiRequest.new(accept_header: env['HTTP_ACCEPT'])

    [
      error.http_status,                    # HTTP Status Code
      {},                                   # Response Headers
      ["{\"errors\": [#{error.to_json}]}"], # Message
    ]
  end
  # rubocop:enable Style/InlineComment
end
end
end
