# frozen_string_literal: true

require 'drillbit/errors/invalid_request_body'

module  Drillbit
module  Responses
class   InvalidRequestBody
  # rubocop:disable Style/InlineComment
  def self.call(env)
    error = Drillbit::Errors::InvalidRequestBody.new(request_body: env['RACK_INPUT'])

    [
      error.http_status,                    # HTTP Status Code
      {},                                   # Response Headers
      ["{\"errors\": [#{error.to_json}]}"], # Message
    ]
  end
  # rubocop:enable Style/InlineComment
end
end
end
