# frozen_string_literal: true

require 'drillbit/errors/invalid_subdomain'

module  Drillbit
module  Responses
class   InvalidSubdomain
  # rubocop:disable Style/InlineComment
  def self.call(env)
    error = Drillbit::Errors::InvalidSubdomain.new(http_host: env['HTTP_HOST'])

    [
      error.http_status,                    # HTTP Status Code
      {},                                   # Response Headers
      ["{\"errors\": [#{error.to_json}]}"], # Message
    ]
  end
  # rubocop:enable Style/InlineComment
end
end
end
