# frozen_string_literal: true

require 'drillbit/errors/invalid_token'

module  Drillbit
module  Responses
class   InvalidToken
  # rubocop:disable Style/InlineComment
  def self.call(_env, application_name:)
    error = Drillbit::Errors::InvalidToken.new

    [
      error.http_status,                    # HTTP Status Code
      {                                     # Response Headers
        'WWW-Authenticate' => %Q{Token realm="#{application_name}"},
      },
      ["{\"errors\": [#{error.to_json}]}"], # Message
    ]
  end
  # rubocop:enable Style/InlineComment
end
end
end
